Bug 395021 - Make crontab a PIE
Make crontab a PIE
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks: 480930 822063
  Show dependency treegraph
 
Reported: 2007-11-21 18:31 EST by Kevin Graham
Modified: 2012-05-16 04:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 480930 (view as bug list)
Environment:
Last Closed: 2009-02-04 07:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Graham 2007-11-21 18:31:53 EST
Description of problem:

Bug 108414 took care of crond, but crontab is not yet a PIE. Even though its not
long-running, it is SUID and user controlled, so presumably it should be rebuilt.

Version-Release number of selected component (if applicable):
vixie-cron-4.1-49.EL4

How reproducible:
$ eu-readelf -h /usr/bin/crontab | grep Type
Comment 1 Marcela Mašláňová 2007-11-22 03:21:13 EST
Easy fix: adding -fpie option for crontab
Comment 2 RHEL Product and Program Management 2008-02-01 13:59:35 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2009-02-04 07:17:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0025.html

Note You need to log in before you can comment on or make changes to this bug.